Skip to main content
Resource Center/Hardware/Host Operations
POSTHost OperationsSince 4.7.0SynchronousAuth Required

UpdateHostNetworkInterface

UpdateHostNetworkInterface

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • interfaceUuidStringRequired

    The physical NIC port UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • descriptionStringRequired

      The resource description.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryHostNetworkInterfaceInventoryRequired

    See inventroy.

    • uuidStringRequired

      The resource UUID.

    • hostUuidStringRequired

      The host UUID.

    • bondingUuidStringRequired

      The bond UUID.

    • interfaceNameStringRequired

      The NIC name.

    • interfaceTypeStringRequired

      The NIC type. Options: nomaster,bridgeSlave, and bondSlave.

    • speedLongRequired

      The NIC speed.

    • slaveActiveBooleanRequired

      The bond link status.

    • carrierActiveBooleanRequired

      The physical link status.

    • ipAddressesListRequired

      The IP address.

    • gatewayStringRequired

      The gateway address.

    • macStringRequired

      The MAC address.

    • callBackIpStringRequired

      The callback IP address.

    • pciDeviceAddressStringRequired

      The interface PCI address.

    • offloadStatusStringRequired

      No description provided.

    • descriptionStringRequired

      The resource description.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/hosts/nics/{interfaceUuid}/actions

/zstack/v1/hosts/nics/{interfaceUuid}/actions

Operation ID

UpdateHostNetworkInterface

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/hosts/nics/{interfaceUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "description": "network" } }

Change History

This API has no change history records yet.

View all change history